Bug 1272699 - virtualization-poller use heavy-weight check for libvirtd
virtualization-poller use heavy-weight check for libvirtd
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
Depends On:
Blocks: space27
  Show dependency treegraph
Reported: 2015-10-17 15:06 EDT by Tomasz Torcz
Modified: 2017-09-28 14:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-04-29 13:03:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomasz Torcz 2015-10-17 15:06:52 EDT
Description of problem:
poller.py checks for running libvirtd with following command:

 if (subprocess.call(['/sbin/service','libvirtd','status'],

on contemporary Linux systems, this has a side effect of pulling logs to display for administration.  This is completely unnecessary in script usage.
Above check should be replaced by running:

 systemctl is-active libvirtd

Or even using D-Bus interface of systemd directly, without forking external program.

Version-Release number of selected component (if applicable):
Comment 1 Tomasz Torcz 2016-04-29 13:03:12 EDT
I'm no longer interested in Spacewalk.
Comment 2 Eric Herget 2017-09-28 14:07:49 EDT
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.

Note You need to log in before you can comment on or make changes to this bug.